#pragma once
#include <algorithm>
#include <string>

namespace utils
{
inline float clamp( float value, float low, float high )
{
	return std::max( std::min( value, high ), low );
}

inline float map( float value, float low, float high, float newLow, float newHigh )
{
	float res = newLow + ( value - low ) * ( newHigh - newLow ) / ( high - low );
	return clamp( res, newLow, newHigh );
}

//
inline void StrToBuff( const std::string& str, char* buff, size_t buffSize )
{
	size_t copyLen = str.size();
	if( copyLen > buffSize )
		copyLen = buffSize;

	memcpy( buff, str.c_str(), copyLen );

	if( copyLen < buffSize )
	{
		memset( buff + copyLen, 0, buffSize - copyLen );
	}
}

}//End namespace utils
